version: '3.7'


networks:
  net2:
    name: net2
    driver: bridge

services:
  redis:
    deploy:
      resources:
        limits:
          memory: 500M
    restart: always
    image: eqalpha/keydb:latest
    container_name: keydb-core
    expose:
      - 6379
    ports:
      - 6379:6379
    networks:
      - net2
  scylla:
    image: scylladb/scylla
    container_name: scylla-db
    deploy:
      resources:
        limits:
          memory: 500M
          cpus: 3

    volumes:
       - ./scylla_volume:/var/lib/scylla
    ports:
      - 9042:9042
    networks:
      - net2

